| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiHistoTool Class Reference

`#include <GaudiTools/GaudiHistoTool.h>`

Inheritance diagram for GaudiHistoTool:

[legend]
Collaboration diagram for GaudiHistoTool:

[legend]
List of all members.

## Detailed Description

Simple class to extend the functionality of class GaudiTool.

Class is instrumented with a selection of plotting functions for easy creation of histograms.

Attention:
  See the class GaudiHistos, which implements the common functionality between GaudiHistoTool and GaudiHistoAlg

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

  Chris Jones Christopher.Rob.Jones@cern.ch

Date:
  2004-06-28

Definition at line 44 of file GaudiHistoTool.h.

## Protected Member Functions
| GaudiHistoTool (const std::string &type, const std::string &name, const IInterface *parent)
| Standard constructor (protected).
virtual | ~GaudiHistoTool ()
| destructor, virtual and protected
virtual StatusCode | initialize ()
| standard initialization method
virtual StatusCode | finalize ()
| standard finalization method
## Private Member Functions
| GaudiHistoTool ()
| GaudiHistoTool (const GaudiHistoTool &)
GaudiHistoTool & | operator= (const GaudiHistoTool &)

## Constructor & Destructor Documentation

GaudiHistoTool::GaudiHistoTool | ( | const std::string & | type,
|  | const std::string & | name,
|  | const IInterface * | parent |
| ) |  |  | `[protected]`

Standard constructor (protected).

See also:
  GaudiTool

  AlgTool

Parameters:

  | type | tool type (useless)
  | name | tool name
  | parent | pointer to parent object (service, algorithm or tool)

Definition at line 47 of file GaudiHistoTool.cpp.

    00050   : GaudiHistos<GaudiTool> ( type , name , parent ) { }

GaudiHistoTool::~GaudiHistoTool | ( |  | ) | `[protected, virtual]`

destructor, virtual and protected

Definition at line 56 of file GaudiHistoTool.cpp.

    00056 { }

GaudiHistoTool::GaudiHistoTool | ( |  | ) | `[private]`

GaudiHistoTool::GaudiHistoTool | ( | const GaudiHistoTool & |  | ) | `[private]`

## Member Function Documentation

StatusCode GaudiHistoTool::initialize | ( |  | ) | `[protected, virtual]`

standard initialization method

See also:
  Algorithm

  IAlgorithm

Returns:
  status code

Reimplemented from GaudiHistos< GaudiTool >.

Reimplemented in GaudiTupleTool, and GaudiTuples< GaudiHistoTool >.

Definition at line 62 of file GaudiHistoTool.cpp.

References GaudiHistos< PBASE >::initialize().

    00063 {
    00064   // initialize the base class and return
    00065   return GaudiHistos<GaudiTool>::initialize();
    00066 }

StatusCode GaudiHistoTool::finalize | ( |  | ) | `[protected, virtual]`

standard finalization method

See also:
  Algorithm

  IAlgorithm

Returns:
  status code

Reimplemented from GaudiHistos< GaudiTool >.

Reimplemented in GaudiTupleTool, and GaudiTuples< GaudiHistoTool >.

Definition at line 72 of file GaudiHistoTool.cpp.

References GaudiHistos< PBASE >::finalize().

    00073 {
    00074   // finalize the base class and return
    00075   return GaudiHistos<GaudiTool>::finalize();
    00076 }

GaudiHistoTool& GaudiHistoTool::operator= | ( | const GaudiHistoTool & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/GaudiAlg/GaudiHistoTool.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/src/lib/GaudiHistoTool.cpp